Create a flex promotion
How to create a flex promotion via API
To create a new flex promotion, send a POST request to the /api/flex_promotions endpoint, passing the resource arguments in the request body.
Request
POST https://yourdomain.commercelayer.io/api/flex_promotions
Arguments
type
string
Required
attributes.name
string
Required
attributes.exclusive
boolean
Optional
attributes.priority
integer
Optional
attributes.starts_at
string
Required
attributes.expires_at
string
Required
attributes.total_usage_limit
integer
Optional
attributes.rules
object
Required
attributes._disable
boolean
Optional
attributes._enable
boolean
Optional
attributes.reference
string
Optional
attributes.reference_origin
string
Optional
attributes.metadata
object
Optional
relationships.coupon_codes_promotion_rule
object
Optional
relationships.tags
array
Optional
Example
The following request creates a new flex promotion:
On success, the API responds with a 201 Created status code, returning the created resource object:
Last updated